package com.bomostory.sceneeditmodule

import com.example.bomocloud.theme.ThemeAssetIndex
import io.reactivex.Single
import java.io.File

interface IThemeManager {
    val themes: List<IBoMoThemeData>
    fun canUse(bomoThemeData: IBoMoThemeData): Boolean
    fun getAssetResourceFolder(bomoThemeData: IBoMoThemeData): File
    fun getAssetFolder(bomoThemeData: IBoMoThemeData): File
    fun getAssetIndexFile(bomoThemeData: IBoMoThemeData): File
    fun loadThemeAssetIndex(bomoThemeData: IBoMoThemeData): Single<ThemeAssetIndex>
    fun isDownloaded(bomoThemeData: IBoMoThemeData): Boolean
}